---
id: negotiationdetaildto
title: "NegotiationDetailDto"
description: ""
sidebar_label: "NegotiationDetailDto"
hide_title: true
hide_table_of_contents: true
schema: true
sample: {"localId":"3fa85f64-5717-4562-b3fc-2c963f66afa6","remoteId":"3fa85f64-5717-4562-b3fc-2c963f66afa7","remoteParty":"Remote Party Name","role":"provider","remoteAddress":"192.168.1.100","state":"dspace:REQUESTED","dataSet":"defaultDataSet","modifiedDate":"2023-10-11T00:00:00.000Z","offer":{},"agreement":{},"events":[{"time":"2023-10-11T00:00:00.000Z","state":"dspace:REQUESTED","localMessage":"A local message example","code":"ERR_CODE","reason":[],"agreementMessage":"Agreement reached on event","verification":{},"hashedMessage":{},"type":"local"}]}
custom_edit_url: null
---

import Schema from "@theme/Schema";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"NegotiationDetailDto"}
>
</Heading>





<Schema
  schema={{"type":"object","properties":{"localId":{"type":"string","example":"3fa85f64-5717-4562-b3fc-2c963f66afa6"},"remoteId":{"type":"string","example":"3fa85f64-5717-4562-b3fc-2c963f66afa7"},"remoteParty":{"type":"string","example":"Remote Party Name"},"role":{"type":"string","enum":["provider","consumer"],"example":"provider"},"remoteAddress":{"type":"string","example":"192.168.1.100"},"state":{"type":"string","enum":["dspace:REQUESTED","dspace:OFFERED","dspace:ACCEPTED","dspace:AGREED","dspace:VERIFIED","dspace:FINALIZED","dspace:TERMINATED"],"example":"dspace:REQUESTED"},"dataSet":{"type":"string","example":"defaultDataSet"},"modifiedDate":{"format":"date-time","type":"string","example":"2023-10-11T00:00:00.000Z"},"offer":{"example":{},"allOf":[{"type":"object","properties":{"@id":{"type":"string","example":"3f2592da-ffc9-40cb-a336-a9daa9343ce8"},"@type":{"type":"string","example":"odrl:Offer"},"odrl:assigner":{"type":"string","example":"did:example:assigner"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:profile":{"type":"string","example":"profileExample"},"odrl:permission":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Permission"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}},"odrl:Duty":{"example":[],"type":"array","items":{"type":"string"}}},"required":["@type","odrl:action"],"title":"PermissionSchema"}},"odrl:prohibition":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Prohibition"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}}},"required":["@type","odrl:action"],"title":"ProhibitionSchema"}},"odrl:obligation":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Duty"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}}},"required":["@type","odrl:action"],"title":"DutySchema"}},"odrl:target":{"type":"string","example":"targetExample"}},"required":["@id","@type"],"title":"OfferSchema"}]},"agreement":{"example":{},"allOf":[{"type":"object","properties":{"@id":{"type":"string","example":"3f2592da-ffc9-40cb-a336-a9daa9343ce8"},"@type":{"type":"string","example":"odrl:Agreement"},"odrl:assigner":{"type":"string","example":"did:example:assigner"},"odrl:assignee":{"type":"string","example":"did:example:assignee"},"odrl:profile":{"type":"string","example":"profileExample"},"odrl:permission":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Permission"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}},"odrl:Duty":{"example":[],"type":"array","items":{"type":"string"}}},"required":["@type","odrl:action"],"title":"PermissionSchema"}},"odrl:prohibition":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Prohibition"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}}},"required":["@type","odrl:action"],"title":"ProhibitionSchema"}},"odrl:obligation":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Duty"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}}},"required":["@type","odrl:action"],"title":"DutySchema"}},"odrl:target":{"type":"string","example":"urn:example:target"},"dspace:timestamp":{"type":"string","example":"2023-10-01T12:34:56Z"}},"required":["@id","@type","dspace:timestamp"],"title":"AgreementSchema"}]},"events":{"type":"array","items":{"type":"object","properties":{"time":{"format":"date-time","type":"string","example":"2023-10-11T00:00:00.000Z"},"state":{"type":"string","enum":["dspace:REQUESTED","dspace:OFFERED","dspace:ACCEPTED","dspace:AGREED","dspace:VERIFIED","dspace:FINALIZED","dspace:TERMINATED"],"example":"dspace:REQUESTED"},"localMessage":{"type":"string","example":"A local message example"},"code":{"type":"string","example":"ERR_CODE"},"reason":{"example":[],"type":"array","items":{"type":"object","properties":{"@value":{"type":"string","example":"This is a sentence."},"@language":{"type":"string","example":"en"}},"required":["@value","@language"],"title":"MultilanguageSchema"}},"agreementMessage":{"type":"string","example":"Agreement reached on event"},"verification":{"example":{},"allOf":[{"type":"object","properties":{"@type":{"type":"string","example":"dspace:ContractAgreementVerificationMessage"},"dspace:consumerPid":{"type":"string","example":"urn:example:consumerPid"},"dspace:providerPid":{"type":"string","example":"urn:example:providerPid"},"dspace:hashedMessage":{"example":{"dspace:digest":"sha256:abcdef1234567890","dspace:algorithm":"SHA-256"},"allOf":[{"type":"object","properties":{"dspace:digest":{"type":"string","example":"sha256:abcdef1234567890"},"dspace:algorithm":{"type":"string","example":"SHA-256"}},"required":["dspace:digest","dspace:algorithm"],"title":"HashedMessageSchema"}]}},"required":["@type","dspace:consumerPid","dspace:providerPid","dspace:hashedMessage"],"title":"ContractAgreementVerificationMessageSchema"}]},"hashedMessage":{"example":{},"allOf":[{"type":"object","properties":{"dspace:digest":{"type":"string","example":"sha256:abcdef1234567890"},"dspace:algorithm":{"type":"string","example":"SHA-256"}},"required":["dspace:digest","dspace:algorithm"],"title":"HashedMessageSchema"}]},"type":{"type":"string","enum":["local","remote"],"example":"local"}},"required":["time","state","type"],"title":"NegotiationProcessEventDto"}}},"required":["localId","remoteId","remoteParty","role","remoteAddress","state","dataSet","modifiedDate","events"],"title":"NegotiationDetailDto"}}
  schemaType={"response"}
>
  
</Schema>
            